
<div class="chat-messages">
    <%
        var _showTrack = typeof showTrack != "undefined" ? showTrack : false;
        var _noContentMessage = typeof noContentMessage != "undefined" ? noContentMessage : "Be the first to comment";
    %>
    <% if (messages.length == 0) { %>
    <div class="center-text subtle-text pad20">
        <%=_noContentMessage%>
    </div>
    <% } %>
    <% for (var i=0; i < messages.length; i++) {
        var message = messages[i];
        var icon = message.tips > 0
                ? '<i class="fa fa-star message-tip" aria-hidden="true"></i>'
                : '<i class="fa fa-star-o message-tip" aria-hidden="true"></i>'
        var pendingIcon = '<i class="fa fa-star fa-spin message-tip fa-fw"></i>';
        var textClass = message.tips > 0 ? "text-warning" : "subtle-text";
        var track = message.release;
        var isRepost = message.messageType == "repost";
        var showThisTrack = _showTrack && message.release;
        var showThisArtist = _showTrack && message.artist && message.artist.profileAddress;
        var releaseid = track ? track.id : "";
        var licenseAddress = track ? track.contractAddress : "";
        var highlight = track
            ? message.sender.profileAddress == track.artistAddress
            : false;
        var messageClass = highlight ? "chat-message-highlight" : "chat-message-normal";
        var senderClass = message.sender.isArtist ? "sender-image-artist" : "sender-image";
        if (message.messageType == "donate") {
            messageClass += " message-donate";
        }
        else if (message.messageType == "admin") {
            messageClass += " message-admin";
        }
        var isReply = !!message.replyToMessage;
    %>
    <div class="chat-message hover-target <%=messageClass%>"
         releaseid="<%=releaseid%>"
         licenseAddress='<%=licenseAddress%>'
         senderAddress="<%=message.sender.profileAddress%>"
         messageid="<%=message.id%>">
        <%=message.followReason%>
        <div class="center-text" style="align-items: flex-start">
            <% if (showThisTrack) { %>
            <div class="audio-track clickable m10 text-large subtle-text" licenseAddress='<%=track.contractAddress%>'>
                <i class="fa fa-play-circle" aria-hidden="true"></i>
            </div>
            <% } else { %>
            <div class="m10 text-large" style="visibility: hidden">
                <i class="fa fa-play-circle" aria-hidden="true"></i>
            </div>
            <% } %>
            <a href="/artist/<%=message.sender.profileAddress%>"><div style="background-image: url('<%=message.sender.image%>'); padding-right: 10px; position: relative; top: 3px" class="<%=senderClass%>"></div></a>
        </div>
        <div class="chat-message-area">
            <div class="chat-message-sender flex-row" style="justify-content: space-between">
                <div>
                    <% if (isRepost) { %>
                    <i class="fa fa-retweet" aria-hidden="true"></i>
                    <% } else if (isReply) { %>
                    <i class="fa fa-reply" aria-hidden="true"></i>
                    <% } %>

                    <a href="/artist/<%=message.sender.profileAddress%>"><%=message.sender.name%></a>

                    <%= isRepost ? "reposted" : isReply ? "replied" : "" %>

                    <% if (!isRepost) { %>
                    <% if (showThisTrack) { %>
                    on
                    <a href="/track/<%=track.contractAddress%>"><%=track.title%></a>
                    <% } else if (showThisArtist) { %>
                    on
                    <a href="/artist/<%=message.artist.profileAddress%>"><%=message.artist.name%></a>
                    <% }  %>
                    <% }  %>
                    <span class="message-time big-screen-only">&nbsp;<%=message.time%></span>
                </div>
                <div class="big-screen-only">
                    <%- include ../message-action-area.ejs %>
                </div>
            </div>
            <div class="chat-message-body">
                <% if (isRepost) { %>
                <div class="message-repost">
                    <div>
                        <a href="/artist/<%=message.repost.profileAddress%>"><%=message.repost.name%></a>
                        <% if (showThisTrack && isRepost) { %>
                        on
                        <a href="/track/<%=track.contractAddress%>"><%=track.title%></a>
                        <% } else if (showThisArtist && isRepost) { %>
                        on
                        <a href="/artist/<%=message.artist.profileAddress%>"><%=message.artist.name%></a>
                        <% }  %>
                    </div>
                    <div class="replaceThis"><%=message.body%></div>
                </div>
                <% } else { %>
                    <div class="replaceThis"><%=message.body%></div>
                <% } %>
            </div>
            <div class="small-screen-only">

                <span class="mobile-action-area">
                    <a target=_blank class="subtle-text" href="/nav/thread-page?thread=<%=message.threadId%>">
                        <i class="fa fa-comments btn" aria-hidden="true"></i>
                    </a>
                    <% if (isAuthenticated && user.profileAddress) { %>

                    <% if (message.sender.profileAddress == user.profileAddress) { %>
                        <% if (message.messageType == "repost") { %>
                        <div class="btn inline-delete-action" title="Un-repost" style="position: relative">
                            <i class="fa fa-retweet subtle-text" aria-hidden="true"></i>
                            <i class="fa fa-times text-danger"
                               aria-hidden="true"
                               style="position: absolute; bottom: 4px; right: 7px;"></i>
                        </div>
                        <% } else { %>
                        <i class="fa fa-trash-o text-danger btn inline-delete-action" aria-hidden="true" title="delete"></i>
                        <% } %>
                        <% } else { %>
                        <i class="fa fa-retweet btn subtle-text inline-repost-intent-action" aria-hidden="true" title="repost"></i>
                    <% } %>


                    <i class="fa fa-reply btn subtle-text inline-reply-action" aria-hidden="true"  title="reply"></i>
                    <div class="flex-row">
                        <div id="player-tip-button"
                             class="tip-button btn-xs clickable <%=textClass%>"
                             style="padding-right: 12px"
                             recipient="<%=message.sender.profileAddress%>"
                             amount="1"
                             on-success="refreshMessageList()"
                             text-success=':)'
                             text-fail=":("
                             text-default='<%-icon%>'
                             text-pending='<%-pendingIcon%>'
                             context-type="TrackMessage"
                             title="Send 1 musicoin to <%=message.sender.name%> for this comment"
                             context-id="<%=message.id%>">
                            <%-icon%>
                        </div>
                        <div class="subtle-text big-screen-only"><%= message.tips > 0 ? `(${message.tips})` : ""%>&nbsp;</div>
                    </div>
                    <% } %>
                </span>
            </div>
            <div id="repost_<%=message.id%>" class="text-center">
                <div class="btn btn-success inline-repost-action" style="display: none" tabindex="0" aria-hidden="true" title="repost"><i class="fa fa-retweet"> repost</i></div>
            </div>
            <div class="inline-reply mt10" style="display: none">
                <% if (isAuthenticated) { %>
                <input placeholder="reply" class="inline-reply-input text-default-size fill-width">
                <% } else { %>
                <div class="text-warning text-center">You can join the conversation after you <a href="/welcome" target="_top">sign in</a></div>
                <% }  %>
            </div>
        </div>
    </div>
    <%}%>
</div>
<script src="https://cdn.jsdelivr.net/npm/marked/marked.min.js"></script>
<script>
    var x = document.querySelectorAll(".replaceThis");
    for (var i = 0 ; i < x.length ; i++){
        var text = x[i].textContent;
        x[i].innerHTML = marked(text);
    }
</script>
